la_wwaddw(3)

NAME
la_wwaddw - la_wwaddw: add to double-double or single-single vector

SYNOPSIS

  Functions
subroutine cla_wwaddw (n, x, y, w)
CLA_WWADDW adds a vector into a doubled-single vector.
subroutine dla_wwaddw (n, x, y, w)
DLA_WWADDW adds a vector into a doubled-single vector.
subroutine sla_wwaddw (n, x, y, w)
SLA_WWADDW adds a vector into a doubled-single vector.
subroutine zla_wwaddw (n, x, y, w)
ZLA_WWADDW adds a vector into a doubled-single vector.

Detailed Description

Function Documentation

  subroutine cla_wwaddw (integer n, complex, dimension( * ) x, complex, dimension( * ) y, complex, dimension( * ) w)

CLA_WWADDW adds a vector into a doubled-single vector.

Purpose:

        CLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetic, but not for decimal.

Parameters
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is COMPLEX array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is COMPLEX array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is COMPLEX array, dimension (N)
                The vector to be added.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 80 of file cla_wwaddw.f.

  subroutine dla_wwaddw (integer n, double precision, dimension( * ) x, double precision, dimension( * ) y, double precision, dimension( * ) w)

DLA_WWADDW adds a vector into a doubled-single vector.

Purpose:

        DLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetic, but not for decimal.

Parameters
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is DOUBLE PRECISION array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is DOUBLE PRECISION array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is DOUBLE PRECISION array, dimension (N)
                The vector to be added.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 80 of file dla_wwaddw.f.

  subroutine sla_wwaddw (integer n, real, dimension( * ) x, real, dimension( * ) y, real, dimension( * ) w)

SLA_WWADDW adds a vector into a doubled-single vector.

Purpose:

        SLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetic, but not for decimal.

Parameters
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is REAL array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is REAL array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is REAL array, dimension (N)
                The vector to be added.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 80 of file sla_wwaddw.f.

  subroutine zla_wwaddw (integer n, complex*16, dimension( * ) x, complex*16, dimension( * ) y, complex*16, dimension( * ) w)

ZLA_WWADDW adds a vector into a doubled-single vector.

Purpose:

        ZLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetic, but not for decimal.

Parameters
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is COMPLEX*16 array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is COMPLEX*16 array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is COMPLEX*16 array, dimension (N)
                The vector to be added.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 80 of file zla_wwaddw.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.